from employees import read_csv
import statistics

emps = read_csv('emps.csv')
jobs = {emp.job_title for emp in emps}
print('Dostępne stanowiska:', jobs)

jaki_job = input('Podaj nazwę stanowiska, np. Programmer: ')

try:
    srednia = statistics.mean(emp.salary for emp in emps if emp.job_title == jaki_job)
    print(f'Średnia na stanowisku {jaki_job} jest równa {srednia}')
except statistics.StatisticsError:
    print(f'Nikt nie pracuje na stanowisku {jaki_job}')
